aboutsummaryrefslogtreecommitdiff
path: root/tools/generate-python.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2026-03-24 12:25:21 -0700
committerJunio C Hamano <gitster@pobox.com>2026-03-24 12:25:21 -0700
commit2d733b9660700fa4dd03a89d9003b8865b99bf4d (patch)
tree5971dfb5227790af0ff1ba5b2696cc4994ba58aa /tools/generate-python.sh
parent6e8d538aab8fe4dd07ba9fb87b5c7edcfa5706ad (diff)
parent671df48df895fdf259b48a7f90b70b7c75fc4059 (diff)
downloadgit-2d733b9660700fa4dd03a89d9003b8865b99bf4d.tar.xz
Merge branch 'ps/build-tweaks' into rs/use-strvec-pushv
The topic moves the coccinelle rules from contrib/ to tools/ directory, breaking merges with this topic. * ps/build-tweaks: meson: precompile "git-compat-util.h" meson: compile compatibility sources separately git-compat-util.h: move warning infra to prepare for PCHs builds: move build scripts into "tools/" contrib: move "update-unicode.sh" script into "tools/" contrib: move "coverage-diff.sh" script into "tools/" contrib: move "coccinelle/" directory into "tools/" Introduce new "tools/" directory
Diffstat (limited to 'tools/generate-python.sh')
-rwxr-xr-xtools/generate-python.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/tools/generate-python.sh b/tools/generate-python.sh
new file mode 100755
index 0000000000..31ac115689
--- /dev/null
+++ b/tools/generate-python.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -e
+
+if test $# -ne 3
+then
+ echo >&2 "USAGE: $0 <GIT_BUILD_OPTIONS> <INPUT> <OUTPUT>"
+ exit 1
+fi
+
+GIT_BUILD_OPTIONS="$1"
+INPUT="$2"
+OUTPUT="$3"
+
+. "$GIT_BUILD_OPTIONS"
+
+sed -e "1s|#!.*python|#!$PYTHON_PATH|" \
+ "$INPUT" >"$OUTPUT+"
+chmod a+x "$OUTPUT+"
+mv "$OUTPUT+" "$OUTPUT"